Package org.apache.sling.scriptingbundle.plugin.processor

# Interface Logger

All Known Implementing Classes:
  `BndLogger`, `MavenLogger`

public interface Logger
Generic interface for logging various messages.

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(@NotNull String message)`
Log a debug message.
`void`
`error(@NotNull String message)`
Log an error message.
`void`
`error(@NotNull String message, @NotNull Throwable t)`
Log an error message, together with the `Throwable` that caused it.
`void`
`info(@NotNull String message)`
Log an info message.
`void`
`warn(@NotNull String message)`
Log a warning message.
`void`
`warn(@NotNull String message, @NotNull Throwable t)`
Log a warning message, together with the `Throwable` that caused it.

## Method Details

### error

void error(@NotNull @NotNull String message)
Log an error message.

Parameters:
  `message` - the message

### error

void error(@NotNull @NotNull String message, @NotNull @NotNull Throwable t)
Log an error message, together with the `Throwable` that caused it.

Parameters:
  `message` - the message
  `t` - the throwable that caused this error message

### info

void info(@NotNull @NotNull String message)
Log an info message.

Parameters:
  `message` - the messae

### warn

void warn(@NotNull @NotNull String message)
Log a warning message.

Parameters:
  `message` - the message

### warn

void warn(@NotNull @NotNull String message, @NotNull @NotNull Throwable t)
Log a warning message, together with the `Throwable` that caused it.

Parameters:
  `message` - the message
  `t` - the throwable that caused this error message

### debug

void debug(@NotNull @NotNull String message)
Log a debug message.

Parameters:
  `message` - the message